Opened 4 years ago

Closed 4 years ago

#1394 closed defect (fixed)

I2P 0.9.15-7: crashed then restarted

Reported by: viha12 Owned by: zzz
Priority: blocker Milestone: 0.9.16
Component: router/general Version: 0.9.15
Keywords: Cc:
Parent Tickets:

Description (last modified by zzz)

I2P version: 0.9.15-7
Java version: Oracle Corporation 1.7.0_65 (OpenJDK Runtime Environment 1.7.0_65-b32)
Wrapper version: 3.5.25
Server version: 8.1.16.v20140903
Servlet version: Jasper JSP 2.1 Engine
Platform: Linux amd64 3.13.0-24-generic
Jbigi: Locally optimized native BigInteger library loaded from file
Encoding: UTF-8
Charset: UTF-8
File location: /home/username/.i2p/logs/log-router-0.txt
10/10/14 08:30:27 ??? 1 similar message omitted ???
10/10/14 08:29:43 ??? 1 similar message omitted ???
10/10/14 08:29:23 ??? 2 similar messages omitted ???
10/10/14 08:28:38 ??? 1 similar message omitted ???
10/10/14 08:28:16 ??? 2 similar messages omitted ???
10/10/14 08:27:47 ??? 1 similar message omitted ???
10/10/14 08:27:32 WARN [P reader 3/4] net.i2p.router.JobQueue : Dropping job due to overload! # ready jobs: 122: job = HandleFloodfillDatabaseLookupMessageJob: Job 161426: Handle Database Lookup Message
10/10/14 08:07:46 WARN [Addressbook ] .naming.BlockfileNamingService: The hosts database was not closed cleanly or is still open by another process
2014/10/10 08:03:15 | 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
2014/10/10 08:03:15 | 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2043)
2014/10/10 08:03:15 | 	at java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1085)
2014/10/10 08:03:15 | 	at java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:807)
2014/10/10 08:03:15 | 	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1068)
2014/10/10 08:03:15 | 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1130)
2014/10/10 08:03:15 | 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
2014/10/10 08:03:15 | 	at java.lang.Thread.run(Thread.java:745)
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "SimpleScheduler 2/4" daemon prio=10 tid=0x00007f0668097800 nid=0x1326 waiting on condition [0x00007f06b587a000]
2014/10/10 08:03:15 |    java.lang.Thread.State: WAITING (parking)
2014/10/10 08:03:15 | 	at sun.misc.Unsafe.park(Native Method)
2014/10/10 08:03:15 | 	- parking to wait for  <0x00000000f82b0c70> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
2014/10/10 08:03:15 | 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
2014/10/10 08:03:15 | 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2043)
2014/10/10 08:03:15 | 	at java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1085)
2014/10/10 08:03:15 | 	at java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:807)
2014/10/10 08:03:15 | 	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1068)
2014/10/10 08:03:15 | 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1130)
2014/10/10 08:03:15 | 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
2014/10/10 08:03:15 | 	at java.lang.Thread.run(Thread.java:745)
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "SimpleScheduler 1/4" daemon prio=10 tid=0x00007f066808d800 nid=0x1325 waiting on condition [0x00007f06b597b000]
2014/10/10 08:03:15 |    java.lang.Thread.State: WAITING (parking)
2014/10/10 08:03:15 | 	at sun.misc.Unsafe.park(Native Method)
2014/10/10 08:03:15 | 	- parking to wait for  <0x00000000f8538208> (a java.util.concurrent.locks.ReentrantReadWriteLock$NonfairSync)
2014/10/10 08:03:15 | 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
2014/10/10 08:03:15 | 	at java.util.concurrent.locks.AbstractQueuedSynchronizer.parkAndCheckInterrupt(AbstractQueuedSynchronizer.java:834)
2014/10/10 08:03:15 | 	at java.util.concurrent.locks.AbstractQueuedSynchronizer.doAcquireShared(AbstractQueuedSynchronizer.java:964)
2014/10/10 08:03:15 | 	at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquireShared(AbstractQueuedSynchronizer.java:1282)
2014/10/10 08:03:15 | 	at java.util.concurrent.locks.ReentrantReadWriteLock$ReadLock.lock(ReentrantReadWriteLock.java:731)
2014/10/10 08:03:15 | 	at net.i2p.router.peermanager.ProfileOrganizer.getReadLock(ProfileOrganizer.java:116)
2014/10/10 08:03:15 | 	at net.i2p.router.peermanager.ProfileOrganizer.count(ProfileOrganizer.java:219)
2014/10/10 08:03:15 | 	at net.i2p.router.peermanager.ProfileOrganizer.countFastPeers(ProfileOrganizer.java:225)
2014/10/10 08:03:15 | 	at net.i2p.router.tasks.CoalesceStatsEvent.timeReached(CoalesceStatsEvent.java:58)
2014/10/10 08:03:15 | 	at net.i2p.util.SimpleScheduler$RunnableEvent.run(SimpleScheduler.java:168)
2014/10/10 08:03:15 | 	at net.i2p.util.SimpleScheduler$PeriodicRunnableEvent.run(SimpleScheduler.java:201)
2014/10/10 08:03:15 | 	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
2014/10/10 08:03:15 | 	at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:304)
2014/10/10 08:03:15 | 	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:178)
2014/10/10 08:03:15 | 	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
2014/10/10 08:03:15 | 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
2014/10/10 08:03:15 | 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
2014/10/10 08:03:15 | 	at java.lang.Thread.run(Thread.java:745)
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "LogWriter" daemon prio=10 tid=0x00007f066808b000 nid=0x1324 in Object.wait() [0x00007f06b5a7c000]
2014/10/10 08:03:15 |    java.lang.Thread.State: TIMED_WAITING (on object monitor)
2014/10/10 08:03:15 | 	at java.lang.Object.wait(Native Method)
2014/10/10 08:03:15 | 	at net.i2p.util.LogWriter.flushRecords(LogWriter.java:112)
2014/10/10 08:03:15 | 	- locked <0x00000000f84970e8> (a net.i2p.util.LogWriter)
2014/10/10 08:03:15 | 	at net.i2p.util.LogWriter.flushRecords(LogWriter.java:69)
2014/10/10 08:03:15 | 	at net.i2p.util.LogWriter.run(LogWriter.java:57)
2014/10/10 08:03:15 | 	at java.lang.Thread.run(Thread.java:745)
2014/10/10 08:03:15 | 	at net.i2p.util.I2PThread.run(I2PThread.java:84)
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "Timestamper" daemon prio=10 tid=0x00007f0668088000 nid=0x131f waiting on condition [0x00007f06b5b7d000]
2014/10/10 08:03:15 |    java.lang.Thread.State: TIMED_WAITING (sleeping)
2014/10/10 08:03:15 | 	at java.lang.Thread.sleep(Native Method)
2014/10/10 08:03:15 | 	at net.i2p.router.time.RouterTimestamper.run(RouterTimestamper.java:206)
2014/10/10 08:03:15 | 	at java.lang.Thread.run(Thread.java:745)
2014/10/10 08:03:15 | 	at net.i2p.util.I2PThread.run(I2PThread.java:84)
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "DestroyJavaVM" prio=10 tid=0x00007f06c000b800 nid=0x1304 waiting on condition [0x0000000000000000]
2014/10/10 08:03:15 |    java.lang.Thread.State: RUNNABLE
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "Wrapper-Connection" daemon prio=10 tid=0x00007f06c0301000 nid=0x131c runnable [0x00007f06b5e80000]
2014/10/10 08:03:15 |    java.lang.Thread.State: RUNNABLE
2014/10/10 08:03:15 | 	at java.net.SocketInputStream.socketRead0(Native Method)
2014/10/10 08:03:15 | 	at java.net.SocketInputStream.read(SocketInputStream.java:152)
2014/10/10 08:03:15 | 	at java.net.SocketInputStream.read(SocketInputStream.java:122)
2014/10/10 08:03:15 | 	at java.net.SocketInputStream.read(SocketInputStream.java:210)
2014/10/10 08:03:15 | 	at java.io.DataInputStream.readByte(DataInputStream.java:265)
2014/10/10 08:03:15 | 	at org.tanukisoftware.wrapper.WrapperManager.handleBackend(WrapperManager.java:5355)
2014/10/10 08:03:15 | 	at org.tanukisoftware.wrapper.WrapperManager.run(WrapperManager.java:5732)
2014/10/10 08:03:15 | 	at java.lang.Thread.run(Thread.java:745)
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "Wrapper-Control-Event-Monitor" daemon prio=10 tid=0x00007f06c02e6000 nid=0x131a sleeping[0x00007f06b6082000]
2014/10/10 08:03:15 |    java.lang.Thread.State: TIMED_WAITING (sleeping)
2014/10/10 08:03:15 | 	at java.lang.Thread.sleep(Native Method)
2014/10/10 08:03:15 | 	at org.tanukisoftware.wrapper.WrapperManager$3.run(WrapperManager.java:1018)
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "Service Thread" daemon prio=10 tid=0x00007f06c00a6000 nid=0x130f runnable [0x0000000000000000]
2014/10/10 08:03:15 |    java.lang.Thread.State: RUNNABLE
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "C2 CompilerThread1" daemon prio=10 tid=0x00007f06c00a3800 nid=0x130e waiting on condition [0x0000000000000000]
2014/10/10 08:03:15 |    java.lang.Thread.State: RUNNABLE
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "C2 CompilerThread0" daemon prio=10 tid=0x00007f06c00a0800 nid=0x130d waiting on condition [0x0000000000000000]
2014/10/10 08:03:15 |    java.lang.Thread.State: RUNNABLE
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "Signal Dispatcher" daemon prio=10 tid=0x00007f06c009e800 nid=0x130c waiting on condition [0x0000000000000000]
2014/10/10 08:03:15 |    java.lang.Thread.State: RUNNABLE
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "Finalizer" daemon prio=10 tid=0x00007f06c007d800 nid=0x130b in Object.wait() [0x00007f06bc5d3000]
2014/10/10 08:03:15 |    java.lang.Thread.State: BLOCKED (on object monitor)
2014/10/10 08:03:15 | 	at java.lang.Object.wait(Native Method)
2014/10/10 08:03:15 | 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:135)
2014/10/10 08:03:15 | 	- locked <0x00000000f84a94b0> (a java.lang.ref.ReferenceQueue$Lock)
2014/10/10 08:03:15 | 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:151)
2014/10/10 08:03:15 | 	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:209)
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "Reference Handler" daemon prio=10 tid=0x00007f06c007b000 nid=0x130a waiting for monitor entry [0x00007f06bc6d4000]
2014/10/10 08:03:15 |    java.lang.Thread.State: BLOCKED (on object monitor)
2014/10/10 08:03:15 | 	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:125)
2014/10/10 08:03:15 | 	- waiting to lock <0x00000000f84a9008> (a java.lang.ref.Reference$Lock)
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "VM Thread" prio=10 tid=0x00007f06c0077000 nid=0x1309 runnable 
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "GC task thread#0 (ParallelGC)" prio=10 tid=0x00007f06c0021800 nid=0x1305 runnable 
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "GC task thread#1 (ParallelGC)" prio=10 tid=0x00007f06c0023000 nid=0x1306 runnable 
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "GC task thread#2 (ParallelGC)" prio=10 tid=0x00007f06c0025000 nid=0x1307 runnable 
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "GC task thread#3 (ParallelGC)" prio=10 tid=0x00007f06c0027000 nid=0x1308 runnable 
2014/10/10 08:03:15 | 
2014/10/10 08:03:15 | "VM Periodic Task Thread" prio=10 tid=0x00007f06c00b0800 nid=0x1310 waiting on condition 
2014/10/10 08:03:15 | 
2014/10/10 08:03:16 | JNI global references: 923
2014/10/10 08:03:16 | 
2014/10/10 08:03:16 | 
2014/10/10 08:03:16 | Found one Java-level deadlock:
2014/10/10 08:03:16 | =============================
2014/10/10 08:03:16 | "PeerManager Reorg":
2014/10/10 08:03:16 |   waiting to lock monitor 0x00007f066415ce88 (object 0x00000000fac010b0, a net.i2p.router.transport.ntcp.EstablishState),
2014/10/10 08:03:16 |   which is held by "NTCP reader 3/4"
2014/10/10 08:03:16 | "NTCP reader 3/4":
2014/10/10 08:03:16 |   waiting for ownable synchronizer 0x00000000f8538208, (a java.util.concurrent.locks.ReentrantReadWriteLock$NonfairSync),
2014/10/10 08:03:16 |   which is held by "PeerManager Reorg"
2014/10/10 08:03:16 | 
2014/10/10 08:03:16 | Java stack information for the threads listed above:
2014/10/10 08:03:16 | ===================================================
2014/10/10 08:03:16 | "PeerManager Reorg":
2014/10/10 08:03:16 | 	at net.i2p.router.transport.ntcp.EstablishState.isComplete(EstablishState.java:661)
2014/10/10 08:03:16 | 	- waiting to lock <0x00000000fac010b0> (a net.i2p.router.transport.ntcp.EstablishState)
2014/10/10 08:03:16 | 	at net.i2p.router.transport.ntcp.NTCPConnection.isEstablished(NTCPConnection.java:240)
2014/10/10 08:03:16 | 	at net.i2p.router.transport.ntcp.NTCPTransport.isEstablished(NTCPTransport.java:454)
2014/10/10 08:03:16 | 	at net.i2p.router.transport.TransportManager.isEstablished(TransportManager.java:388)
2014/10/10 08:03:16 | 	at net.i2p.router.transport.CommSystemFacadeImpl.isEstablished(CommSystemFacadeImpl.java:150)
2014/10/10 08:03:16 | 	at net.i2p.router.peermanager.PeerProfile.getIsActive(PeerProfile.java:186)
2014/10/10 08:03:16 | 	at net.i2p.router.peermanager.PeerProfile.getIsActive(PeerProfile.java:131)
2014/10/10 08:03:16 | 	at net.i2p.router.peermanager.ProfileOrganizer.locked_calculateThresholds(ProfileOrganizer.java:1019)
2014/10/10 08:03:16 | 	at net.i2p.router.peermanager.ProfileOrganizer.reorganize(ProfileOrganizer.java:815)
2014/10/10 08:03:16 | 	at net.i2p.router.peermanager.PeerManager$ReorgThread.run(PeerManager.java:113)
2014/10/10 08:03:16 | "NTCP reader 3/4":
2014/10/10 08:03:16 | 	at sun.misc.Unsafe.park(Native Method)
2014/10/10 08:03:16 | 	- parking to wait for  <0x00000000f8538208> (a java.util.concurrent.locks.ReentrantReadWriteLock$NonfairSync)
2014/10/10 08:03:16 | 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
2014/10/10 08:03:16 | 	at java.util.concurrent.locks.AbstractQueuedSynchronizer.parkAndCheckInterrupt(AbstractQueuedSynchronizer.java:834)
2014/10/10 08:03:16 | 	at java.util.concurrent.locks.AbstractQueuedSynchronizer.doAcquireShared(AbstractQueuedSynchronizer.java:964)
2014/10/10 08:03:16 | 	at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquireShared(AbstractQueuedSynchronizer.java:1282)
2014/10/10 08:03:16 | 	at java.util.concurrent.locks.ReentrantReadWriteLock$ReadLock.lock(ReentrantReadWriteLock.java:731)
2014/10/10 08:03:16 | 	at net.i2p.router.peermanager.ProfileOrganizer.getReadLock(ProfileOrganizer.java:116)
2014/10/10 08:03:16 | 	at net.i2p.router.peermanager.ProfileOrganizer.getProfile(ProfileOrganizer.java:159)
2014/10/10 08:03:16 | 	at net.i2p.router.Banlist.unbanlistRouter(Banlist.java:238)
2014/10/10 08:03:16 | 	at net.i2p.router.Banlist.unbanlistRouter(Banlist.java:213)
2014/10/10 08:03:16 | 	at net.i2p.router.Banlist.unbanlistRouter(Banlist.java:210)
2014/10/10 08:03:16 | 	at net.i2p.router.transport.TransportImpl.markReachable(TransportImpl.java:748)
2014/10/10 08:03:16 | 	at net.i2p.router.transport.ntcp.NTCPConnection.finishOutboundEstablishment(NTCPConnection.java:608)
2014/10/10 08:03:16 | 	- locked <0x00000000fb0617b8> (a net.i2p.router.transport.ntcp.NTCPConnection)
2014/10/10 08:03:16 | 	at net.i2p.router.transport.ntcp.EstablishState.receiveOutbound(EstablishState.java:644)
2014/10/10 08:03:16 | 	at net.i2p.router.transport.ntcp.EstablishState.receive(EstablishState.java:216)
2014/10/10 08:03:16 | 	- locked <0x00000000fac010b0> (a net.i2p.router.transport.ntcp.EstablishState)
2014/10/10 08:03:16 | 	at net.i2p.router.transport.ntcp.Reader.processRead(Reader.java:156)
2014/10/10 08:03:16 | 	at net.i2p.router.transport.ntcp.Reader.access$400(Reader.java:21)
2014/10/10 08:03:16 | 	at net.i2p.router.transport.ntcp.Reader$Runner.run(Reader.java:118)
2014/10/10 08:03:16 | 	at java.lang.Thread.run(Thread.java:745)
2014/10/10 08:03:16 | 	at net.i2p.util.I2PThread.run(I2PThread.java:84)
2014/10/10 08:03:16 | 
2014/10/10 08:03:16 | Found 1 deadlock.
2014/10/10 08:03:16 | 
2014/10/10 08:03:20 | Heap
2014/10/10 08:03:20 |  PSYoungGen      total 28672K, used 14336K [0x00000000fd500000, 0x00000000fff00000, 0x0000000100000000)
2014/10/10 08:03:20 |   eden space 14336K, 100% used [0x00000000fd500000,0x00000000fe300000,0x00000000fe300000)
2014/10/10 08:03:20 |   from space 14336K, 0% used [0x00000000ff100000,0x00000000ff100000,0x00000000fff00000)
2014/10/10 08:03:20 |   to   space 14336K, 0% used [0x00000000fe300000,0x00000000fe300000,0x00000000ff100000)
2014/10/10 08:03:20 |  ParOldGen       total 87040K, used 86626K [0x00000000f8000000, 0x00000000fd500000, 0x00000000fd500000)
2014/10/10 08:03:20 |   object space 87040K, 99% used [0x00000000f8000000,0x00000000fd498b68,0x00000000fd500000)
2014/10/10 08:03:20 |  PSPermGen       total 33792K, used 33761K [0x00000000eda00000, 0x00000000efb00000, 0x00000000f8000000)
2014/10/10 08:03:20 |   object space 33792K, 99% used [0x00000000eda00000,0x00000000efaf8540,0x00000000efb00000)
2014/10/10 08:03:20 | 
2014/10/10 08:03:36 | CRIT  [uterWatchdog] 2p.router.tasks.RouterWatchdog: Router appears hung, or there is severe network congestion.  Watchdog starts barking!
2014/10/10 08:03:36 | CRIT  [uterWatchdog] et.i2p.router.tasks.ThreadDump: Threads dumped to wrapper log
2014/10/10 08:06:57 | Exception in thread "StreamForwarder 17415.34822" 
2014/10/10 08:07:01 | Exception in thread "I2PTunnelRunner 17419" 
2014/10/10 08:07:21 | Exception in thread "StreamForwarder 17417.34824" 
2014/10/10 08:07:22 | #
2014/10/10 08:07:22 | # A fatal error has been detected by the Java Runtime Environment:
2014/10/10 08:07:22 | #
2014/10/10 08:07:22 | #  SIGSEGV (0xb) at pc=0x00007f06c77fda41, pid=4867, tid=139664652379904
2014/10/10 08:07:22 | #
2014/10/10 08:07:22 | # JRE version: OpenJDK Runtime Environment (7.0_65-b32) (build 1.7.0_65-b32)
2014/10/10 08:07:22 | # Java VM: OpenJDK 64-Bit Server VM (24.65-b04 mixed mode linux-amd64 compressed oops)
2014/10/10 08:07:22 | # Derivative: IcedTea 2.5.2
2014/10/10 08:07:22 | # Distribution: Ubuntu 14.04 LTS, package 7u65-2.5.2-3~14.04
2014/10/10 08:07:22 | # Problematic frame:
2014/10/10 08:07:22 | # V  [libjvm.so+0x5f5a41]  jni_GetByteArrayElements+0x51
2014/10/10 08:07:22 | #
2014/10/10 08:07:22 | # Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
2014/10/10 08:07:22 | #
2014/10/10 08:07:22 | # An error report file with more information is saved as:
2014/10/10 08:07:22 | # /home/username/i2p/hs_err_pid4867.log
2014/10/10 08:07:23 | #
2014/10/10 08:07:23 | # If you would like to submit a bug report, please include
2014/10/10 08:07:23 | # instructions on how to reproduce the bug and visit:
2014/10/10 08:07:23 | #   http://icedtea.classpath.org/bugzilla
2014/10/10 08:07:23 | #
2014/10/10 08:07:23 | JVM received a signal UNKNOWN (6).
2014/10/10 08:07:23 | JVM process is gone.
2014/10/10 08:07:23 | JVM exited unexpectedly.
2014/10/10 08:07:38 | Launching a JVM...
2014/10/10 08:07:40 | WrapperManager: Initializing...
2014/10/10 08:07:41 | Starting I2P 0.9.15-7
2014/10/10 08:07:42 | WARN: Old router was not shut down gracefully, deleting router.ping
2014/10/10 08:07:42 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2014/10/10 08:07:42 | INFO: Locally optimized native BigInteger library loaded from file
2014/10/10 08:07:44 | INFO: Jetty 8.1.16.v20140903 logging to I2P logs using class org.eclipse.jetty.server.Server
2014/10/10 08:07:44 | 2014-10-10 06:07:44.674:INFO:oejs.Server:jetty-8.1.16.v20140903
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/i2pbote.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/mailapi.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/bcprov-ecc-jdk16-146.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/flexi-gmss-1.7p1.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/ntruenc-1.2.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/scrypt-1.4.0.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/lzma-9.20.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/apache-james-imap-api-0.4-20140521.052406-677.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/apache-james-imap-message-0.4-20140521.052432-676.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/apache-james-imap-processor-0.4-20140521.052450-675.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/apache-james-mailbox-api-0.6-20140722.040047-433.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/apache-james-mailbox-store-0.6-20140722.040110-430.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/apache-mime4j-core-0.7.2.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/commons-codec-1.5.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/commons-collections-3.2.1.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/commons-configuration-1.6.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/commons-io-2.0.1.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/commons-lang-2.6.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/james-server-lifecycle-api-3.0.0-beta5-20140722.101248-779.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/james-server-protocols-imap4-3.0.0-beta5-20140722.101923-649.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/james-server-protocols-library-3.0.0-beta5-20140722.101428-756.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/james-server-util-3.0.0-beta5-20140722.101359-761.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/jutf7-1.0.0.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/netty-3.3.1.Final.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/protocols-api-1.6.4-20140722.113145-504.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/protocols-imap-1.6.4-20140722.113327-357.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/protocols-netty-1.6.4-20140722.113152-470.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/slf4j-api-1.6.1.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/slf4j-jcl-1.7.5.jar to classpath for i2pbote
2014/10/10 08:07:49 | Adding /home/username/.i2p/plugins/i2pbote/lib/subethasmtp-3.1.7.jar to classpath for i2pbote
2014/10/10 08:08:14 | 2014-10-10 06:08:14.488:INFO:oejs.Server:jetty-8.1.16.v20140903

Subtickets

Change History (6)

comment:1 Changed 4 years ago by zzz

  • Component changed from unspecified to router/general
  • Description modified (diff)
  • Priority changed from minor to major

comment:2 Changed 4 years ago by zzz

  • Owner set to zzz
  • Priority changed from major to blocker
  • Status changed from new to accepted

comment:3 Changed 4 years ago by zzz

Fixed in 1d057075a10a607c6382e4d4bc14b8a09ca7ebc7 0.9.15-8. Leaving open while looking for other possible cases caused by the NTCP refactoring and locking changes in 0.9.15-2.

comment:4 Changed 4 years ago by zzz

Other reports received with deadlocks that do not involve the blocklist. 2nd try to fix in e0e52dba79045096ac0fd8636e6c575c2d729263 0.9.15-12. This should fix the root cause by changing the locking for EstablishState?.isComplete().

comment:5 Changed 4 years ago by zzz

The above fix introduced another bug. Fixed in 46e2e12f865b746b8792e43f3eb240a762c94441 0.9.15-13.

comment:6 Changed 4 years ago by zzz

  • Resolution set to fixed
  • Status changed from accepted to closed
Note: See TracTickets for help on using tickets.